LibreOffice: TextRange Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
TextRange Service Referencepublished

points to a sequence of characters within a Text. More...

Inheritance diagram for TextRange:

## Included Services
service | com::sun::star::style::CharacterProperties
service | com::sun::star::style::CharacterPropertiesAsian
service | com::sun::star::style::CharacterPropertiesComplex
service | com::sun::star::style::ParagraphProperties
service | com::sun::star::style::ParagraphPropertiesAsian
service | com::sun::star::style::ParagraphPropertiesComplex

## Exported Interfaces
interface | com::sun::star::text::XTextRange
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyState
interface | com::sun::star::container::XContentEnumerationAccess

## Additional Inherited Members
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Public Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the style of the font.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
Protected Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Protected Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Protected Member Functions inherited from XContentEnumerationAccess
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Protected Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the style of the font.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed.
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set.
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered.
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants

## Detailed Description

points to a sequence of characters within a Text.

The service provides access to the string content and the properties of this range of text and the TextContent instances which are bound to this text range.

A TextRange is also used for a text portion which is returned by the com::sun::star::container::XEnumeration for a single paragraph. Because this is the mechanism to use to export data, all formatting attributes and contents bound to this range have to be available from implementations of this service.

See also
  Text

## Exported Interfaces

## ◆ com::sun::star::style::CharacterProperties

service com::sun::star::style::CharacterProperties

## ◆ com::sun::star::style::CharacterPropertiesAsian

service com::sun::star::style::CharacterPropertiesAsian
| optional

## ◆ com::sun::star::style::CharacterPropertiesComplex

service com::sun::star::style::CharacterPropertiesComplex
| optional

## ◆ com::sun::star::style::ParagraphProperties

service com::sun::star::style::ParagraphProperties

## ◆ com::sun::star::style::ParagraphPropertiesAsian

service com::sun::star::style::ParagraphPropertiesAsian
| optional

## ◆ com::sun::star::style::ParagraphPropertiesComplex

service com::sun::star::style::ParagraphPropertiesComplex
| optional

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::beans::XPropertyState

interface com::sun::star::beans::XPropertyState

## ◆ com::sun::star::container::XContentEnumerationAccess

interface com::sun::star::container::XContentEnumerationAccess
| optional

## ◆ com::sun::star::text::XTextRange

interface com::sun::star::text::XTextRange

The documentation for this service was generated from the following file:

- com/sun/star/text/TextRange.idl